RDMA_DESTROY_ID(3)

NAME
rdma_destroy_id - Release a communication identifier.

SYNOPSIS
#include <rdma/rdma_cma.h>

int rdma_destroy_id (struct rdma_cm_id *id);

ARGUMENTS

id  The communication identifier to destroy.

DESCRIPTION
Destroys the specified rdma_cm_id and cancels any outstanding asynchronous operation.

RETURN VALUE
Returns 0 on success, or -1 on error. If an error occurs, errno will be set to indicate the failure reason.

NOTES
Users must free any associated QP with the rdma_cm_id before calling this routine and ack all related events.

SEE ALSO
rdma_create_id(3), rdma_destroy_qp(3), rdma_ack_cm_event(3)